Bug 34766 - Odd display of CC number
Summary: Odd display of CC number
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store   
(Show other bugs)
Version: current
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cameron Prince
QA Contact: wbirkhea
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-04 20:54 UTC by Jay Turner
Modified: 2015-01-07 23:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-19 19:40:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2001-04-04 20:54:26 UTC
Place an order on cprince.devel.webdevel.redhat.com and get to the receipt
for the order.  We are displaying 8 of the card digits, but we are
obscuring the third and forth digit.  What's up with this.  Shouldn't we
just obscure the last 4 digits or something like that?  Maybe even not
display the card number at all?

Comment 1 David Totten 2001-04-16 21:13:44 UTC
After asking for a little help from Mike Heins, I have Credit Card number
formatting happening. Right now it is set to show XXXX-XXXX-XXXX-1234, where
1234 is the last 4 digits of the credit card number.

This can be modified to suite our needs. (whatever they may be)

Comment 2 Jay Turner 2001-04-19 19:40:41 UTC
Screen is now displaying fine for Visa, but I cannot get the site to accept an
Amex number (15 digits) so I am going to hold open this bug til I am sure that
we are displaying those correctly.

Comment 3 Jay Turner 2001-04-30 14:03:16 UTC
This is working now on cprince.devel.webdevel.redhat.com so I am closing out
this issue.


Note You need to log in before you can comment on or make changes to this bug.